Bug 103116 - pychecker could not import bonobo.ui and aborts as result
pychecker could not import bonobo.ui and aborts as result
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: pychecker (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-26 14:17 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 17:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-26 14:17:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
[jylitalo@shoes phojo]$ pychecker phojo.ui.gui
Processing phojo.ui.gui...
Fatal Python error: could not import bonobo.ui
/usr/bin/pychecker: line 3:  1301 Aborted                 /usr/bin/python
/usr/lib/python2.2/site-packages/pychecker/checker.py "$@"
[jylitalo@shoes phojo]$ /usr/bin/python
/usr/lib/python2.2/site-packages/pychecker/checker.py phojo.ui.gui
Processing phojo.ui.gui...
Fatal Python error: could not import bonobo.ui
Aborted
[jylitalo@shoes phojo]$ python
Python 2.2.2 (#1, Feb 24 2003, 19:13:11)
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import bonobo.ui
>>>
[jylitalo@shoes phojo]$ pwd
/usr/lib/python2.2/site-packages/phojo
[jylitalo@shoes phojo]$ grep bonobo *py */*py */*/*py
grep: */*/*py: No such file or directory
[jylitalo@shoes phojo]$

phojo is GNOME application that I've created for generating static photo albums
into web. It has some dependencies to python-gnome and glade, but it doesn't
directly use bonobo.ui anywhere.

Version-Release number of selected component (if applicable):
pychecker-0.8.12-1 (and 0.8.11)

How reproducible:
Always

Steps to Reproduce:
1. install phojo-0.3-5 (can be found from
http://jylitalo.homeip.net/~jylitalo/RPMS/)
2. do 'pychecker phojo.ui.gui'
3.
    

Actual Results:  Processing phojo.ui.gui...
Fatal Python error: could not import bonobo.ui
/usr/bin/pychecker: line 3:  1301 Aborted                 /usr/bin/python
/usr/lib/python2.2/site-packages/pychecker/checker.py "$@"

Expected Results:  Actual report about pychecker's findings.

Additional info:
Comment 1 Miloslav Trmač 2004-10-06 17:58:59 EDT
phojo-0.3-5 is not at the URL given any more, a trivial
    import gnome
    import bonobo
works for me.
My best guess is that this is a duplicate of bug 79652.

Please repen this bug if you still experience the issue
with a recent distribution.

Note You need to log in before you can comment on or make changes to this bug.